<ion-content style="text-align:center">
  <form (ngSubmit)="login()" [formGroup]="credentials">
          <div class="input-group" style="width:300px; margin:0 auto;"> 
            <ion-item>
              <ion-input type="email" placeholder="Email" formControlName="email"></ion-input>
            </ion-item>
            <div *ngIf="(email.dirty || email.touched) && email.errors" class="errors">
              <span *ngIf="email.errors?.required">Email is required</span>
              <span *ngIf="email.errors?.email">Email is invalid</span>         
            </div>
            <ion-item>
              <ion-input type="password" placeholder="Password" formControlName="password"></ion-input>
            </ion-item>
            <div *ngIf="(password.dirty || password.touched) && password.errors" class="errors">
              <span *ngIf="password.errors?.required">Password is required</span>
              <span *ngIf="password.errors?.minlength">Password needs to be 6 characters</span>         
            </div>
          </div>
       
          <div>
            <ion-button type="submit" [disabled]="!credentials.valid" style="width:300px;">Log in</ion-button>
          </div>
       
          <div>
            <ion-button type="button" color="light" fill="clear" (click)="register()" style="width:300px;">Not yet a member? Sign up!</ion-button>
          </div>

          <div>
            <ion-button type="button" color="light" fill="clear" (click)="forgot()" style="width:300px;">Forgot your password? Recover!</ion-button>
          </div>
      
          <!-- <div>
            <ion-button type="button" color="tertiary" style="width:300px;">
              <ion-icon name="logo-google" slot="start"></ion-icon>
              Sign in with Google
            </ion-button>
          </div>
       
          <div>
            <ion-button type="button" color="tertiary" style="width:300px;">
              <ion-icon name="logo-apple" slot="start"></ion-icon>
              Sign in with Apple
            </ion-button>
          </div> -->
       
  </form>
</ion-content>
